Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## glassfrog.tools
Class MatchRebuilder

    java.lang.Object
      glassfrog.tools.MatchRebuilder

    public class MatchRebuilder

extends java.lang.Object

This class is used to rebuild a match from a log file. This is in the event that there was a server crash, we need to rebuild a match from a log in order to save a serialized version of the match at the point of the log.

Author:
  jdavidso

Constructor Summary
`MatchRebuilder()` Empty constructor

Method Summary
`static void` | `main(java.lang.String[] args)` Start the server from the command line.
`static Dealer` | `restore(java.lang.String key)` Restore a match from the last state found in the log file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchRebuilder

    public MatchRebuilder()

  Empty constructor

Method Detail

### restore

    public static Dealer restore(java.lang.String key)
                          throws java.io.FileNotFoundException,
                                 java.io.IOException,
                                 java.lang.ClassNotFoundException

  Restore a match from the last state found in the log file. Hopefully you don't loose the ser and log files, or you are sunk

  Parameters:
    `key` - The key we wish to recreate the serial file for.
  Returns:
    True on sucessfully resoring the dealer.ser file for the game
  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### main

    public static void main(java.lang.String[] args)

  Start the server from the command line. Can also be started via the class

  Parameters:
    `args` - Command line args

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD